"more info for this update" links don't work

RESOLVED FIXED in 1.1

Status

Instantbird
Other
--
major
RESOLVED FIXED
4 years ago
4 years ago

People

(Reporter: clokep, Assigned: florian)

Tracking

Details

(Whiteboard: [1.1-blocking])

(Reporter)

Description

4 years ago
*** Original post on bio 1041 at 2011-09-16 14:52:00 UTC ***

Broken when we added the OAuth HTTP handling.

See http://log.bezut.info/instantbird/110916/#m558
Whiteboard: [1.1-blocking]
Severity: blocker → major
*** Original post on bio 1041 at 2011-10-04 10:55:20 UTC ***

(In reply to comment #0)
> Broken when we added the OAuth HTTP handling.
This changeset: https://hg.instantbird.org/instantbird/rev/8c4bcf263a8d
*** Original post on bio 1041 at 2011-10-04 11:06:00 UTC ***

It seems we can overlay toolkit/mozapps/update/content/updates.xul to replace the openUpdateURL function of toolkit/mozapps/update/content/updates.js
*** Original post on bio 1041 at 2011-10-04 14:24:46 UTC ***

Another way is to port http://mxr.mozilla.org/comm-central/source/mail/components/mailContentHandler.js
*** Original post on bio 1041 at 2011-10-07 11:04:30 UTC ***

Fixed using the content handler approach:
https://hg.instantbird.org/instantbird/rev/726beaec310b
Assignee: nobody → florian
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.1
You need to log in before you can comment on or make changes to this bug.